Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.ashwood.graph
Interface Digraph<E,V>

All Superinterfaces:
  DigraphIteration<E,V>

All Known Implementing Classes:
  MapDigraph

    public interface Digraph<E,V>

extends DigraphIteration<E,V>

Since:
  3.1

Method Summary
`boolean` | `addAllVertices(java.util.Collection<? extends E> vertices)`
`boolean` | `addVertex(E vertex)`
`boolean` | `containsAllVertices(java.util.Collection<? extends E> vertices)`
`boolean` | `containsVertex(E vertex)`
`V` | `getArc(E origin, E destination)`
`boolean` | `hasArc(E origin, E destination)`
`int` | `incomingSize(E vertex)`
`boolean` | `isEmpty()`
`boolean` | `isIncomingEmpty(E vertex)`
`boolean` | `isOutgoingEmpty(E vertex)`
`int` | `order()`
`int` | `outgoingSize(E vertex)`
`V` | `putArc(E origin, E destination, V arc)`
`boolean` | `removeAllVertices(java.util.Collection<? extends E> vertices)`
`java.lang.Object` | `removeArc(E origin, E destination)`
`boolean` | `removeIncoming(E vertex)`
`boolean` | `removeOutgoing(E vertex)`
`boolean` | `removeVertex(E vertex)`
`int` | `size()`

Methods inherited from interface org.apache.cayenne.ashwood.graph.DigraphIteration
`arcIterator, incomingIterator, outgoingIterator, vertexIterator`

Method Detail

### addVertex

    boolean addVertex(E vertex)

### addAllVertices

    boolean addAllVertices(java.util.Collection<? extends E> vertices)

### putArc

    V putArc(E origin,
             E destination,
             V arc)

### getArc

    V getArc(E origin,
             E destination)

### removeVertex

    boolean removeVertex(E vertex)

### removeAllVertices

    boolean removeAllVertices(java.util.Collection<? extends E> vertices)

### removeArc

    java.lang.Object removeArc(E origin,
                               E destination)

### removeIncoming

    boolean removeIncoming(E vertex)

### removeOutgoing

    boolean removeOutgoing(E vertex)

### order

    int order()

### size

    int size()

### outgoingSize

    int outgoingSize(E vertex)

### incomingSize

    int incomingSize(E vertex)

### containsVertex

    boolean containsVertex(E vertex)

### containsAllVertices

    boolean containsAllVertices(java.util.Collection<? extends E> vertices)

### hasArc

    boolean hasArc(E origin,
                   E destination)

### isEmpty

    boolean isEmpty()

### isOutgoingEmpty

    boolean isOutgoingEmpty(E vertex)

### isIncomingEmpty

    boolean isIncomingEmpty(E vertex)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Apache Cayenne. All Rights Reserved.